From fa1a3ddee00ccaadb0f34177b3730e322b4e16cb Mon Sep 17 00:00:00 2001
From: Jie Tang <tangjie18@huawei.com>
Date: Wed, 6 May 2020 11:50:19 +0800
Subject: [PATCH 22/28] qcontainer: Add qdevice.QCPUBus in bus for
 machine_arm64_pci.

When trying vcpu hot-plug with aarch64, need verify vm vcpu bus info.

Signed-off-by: Jie Tang <tangjie18@huawei.com>
---
 virttest/qemu_devices/qcontainer.py | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/virttest/qemu_devices/qcontainer.py b/virttest/qemu_devices/qcontainer.py
index fa755316..497e493b 100644
--- a/virttest/qemu_devices/qcontainer.py
+++ b/virttest/qemu_devices/qcontainer.py
@@ -1226,12 +1226,15 @@ class DevContainer(object):
                           % aavmf_vars)
             devices.append(qdevices.QStringDevice('AAVMF_VARS',
                                                   cmdline=aavmf_vars))
-
+            # add QCPUBus for machine_arm64_pci, while vcpu hotplug need vcpu bus info.
             bus = (qdevices.QPCIEBus('pcie.0', 'PCIE', root_port_type, 'pci.0'),
                    qdevices.QStrictCustomBus(None, [['chassis'], [256]],
                                              '_PCI_CHASSIS', first_port=[1]),
                    qdevices.QStrictCustomBus(None, [['chassis_nr'], [256]],
-                                             '_PCI_CHASSIS_NR', first_port=[1]))
+                                             '_PCI_CHASSIS_NR', first_port=[1]),
+                   qdevices.QCPUBus(params.get("cpu_model"), [[""], [0]],
+                                    "vcpu"))
+
             devices.append(qdevices.QStringDevice('machine', cmdline=cmd,
                                                   child_bus=bus,
                                                   aobject="pci.0"))
-- 
2.23.0

